Mail::Transport::Exim(3pm)

NAME
Mail::Transport::Exim - transmit messages using external Exim program

INHERITANCE
 Mail::Transport::Exim
   is a Mail::Transport::Send
   is a Mail::Transport
   is a Mail::Reporter

SYNOPSIS
  my $sender = Mail::Transport::Exim->new(...);
  $sender->send($message);

DESCRIPTION
Implements mail transport using the external 'Exim' program. When instantiated, the mailer will look for the binary in specific system directories, and the first version found is taken.

Extends "DESCRIPTION" in Mail::Transport::Send.

METHODS
Extends "METHODS" in Mail::Transport::Send.

  Constructors
Extends "Constructors" in Mail::Transport::Send.

$class->new(%options)
    If you have Exim installed in a non-standard location, you will need to specify the path, using new(proxy). Improves base, see "Constructors" in Mail::Reporter

     -Option    --Defined in     --Default
      executable  Mail::Transport  undef
      hostname    Mail::Transport  'localhost'
      interval    Mail::Transport  30
      password    Mail::Transport  undef
      port        Mail::Transport  undef
      proxy       Mail::Transport  undef
      retry       Mail::Transport  <unlimited>
      timeout     Mail::Transport  120
      username    Mail::Transport  undef
      via         Mail::Transport  'exim'

    executable => $file
    hostname => $host|\@hosts
    interval => $span
    password => $password
    port => $port
    proxy => $path
    retry => $count|undef
    timeout => $span
    username => $username
    via => CLASS|$name

  Attributes
Extends "Attributes" in Mail::Transport::Send.

  Sending mail
Extends "Sending mail" in Mail::Transport::Send.

$obj->destinations( $message, [$address|\@addresses] )
    Inherited, see "Sending mail" in Mail::Transport::Send

$obj->putContent($message, $fh, %options)
    Inherited, see "Sending mail" in Mail::Transport::Send

$obj->send($message, %options)
    Inherited, see "Sending mail" in Mail::Transport::Send

$obj->trySend($message, %options)
    Inherited, see "Sending mail" in Mail::Transport::Send

  Server connection
Extends "Server connection" in Mail::Transport::Send.

$obj->findBinary( $name, [@directories] )
    Inherited, see "Server connection" in Mail::Transport

$obj->remoteHost()
    Inherited, see "Server connection" in Mail::Transport

$obj->retry()
    Inherited, see "Server connection" in Mail::Transport

  Error handling
Extends "Error handling" in Mail::Transport::Send.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Transport::Send.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: Errors when closing Exim mailer $program: $!
    The Exim mail transfer agent did start, but was not able to handle the message correctly. Cast by trySend()

Error: cannot find binary for exim.
    Cast by new()

Fault: cannot open pipe to $program: $!
    Cast by trySend()

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Fault: errors when closing Exim mailer $program: $!
    Cast by trySend()

Warning: message has no destination.
    It was not possible to figure-out where the message is intended to go to. Cast by destinations()

Warning: resent group does not specify a destination.
    The message which is sent is the result of a bounce (for instance created with Mail::Message::bounce()), and therefore starts with a "Received" header field. With the "bounce", the new destination(s) of the message are given, which should be included as "Resent-To", "Resent-Cc", and "Resent-Bcc".

    The "To", "Cc", and "Bcc" header information is only used if no "Received" was found. That seems to be the best explanation of the RFC.

    As alternative, you may also specify the "to" option to some of the senders (for instance Mail::Transport::SMTP::send(to) to overrule any information found in the message itself about the destination. Cast by destinations()

SEE ALSO
This module is part of Mail-Transport version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.